%define tarball xf86-input-evdev
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

%define cvsdate xxxxxxx

Summary:   Xorg X11 evdev input driver
Name:      xorg-x11-drv-evdev
Epoch:     1
Version:   1.0.0.5
Release:   5.0.2%{?dist}
URL:       http://www.x.org
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Patch0:    absolute-coords-2758.patch
Patch1:    dont-divide-by-zero.patch
Patch2:    xen-mouse.patch
Patch3:    button-map.patch

ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.1.0

Requires:  xorg-x11-server-Xorg >= 1.1.0

%description 
X.Org X11 evdev input driver.

%prep
%setup -q -n %{tarball}-%{version}

# #184993
%patch0 -p1 -b .absolute-coords-2758
# #371151
%patch1 -p1 -b .dont-divide-by-zero
%patch2 -p1 -b .xen-mouse
%patch3 -p1 -b .button-map

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/evdev_drv.so
#%dir %{_mandir}/man4x
#%{_mandir}/man4/evdev.4*

%changelog
* Thu Feb 16 2012 John Haxby <john.haxby@oracle.com> - 1:1.0.0.5-5.0.2
- Fix evdev pointer button initialization [orabug 13463918]

* Wed Dec 15 2010 John Haxby <john.haxby@oracle.com> - 1:1.0.0.5-5.0.1
- Add support for xen-mouse [orabug 6718819]

* Mon Dec 21 2009 Peter Hutterer <peter.hutterer@redhat.com> 1:1.0.0.5-5
- Use {?dist} instead of {dist} in Release. (#548008)

* Tue Nov 17 2009 Peter Hutterer <peter.hutterer@redhat.com> 1:1.0.0.5-4
- Don't divide by zero if min/max are the same for absolute axes (#371151)

* Wed Jun  6 2007 Kristian Høgsberg <krh@redhat.com> - 1:1.0.0.5-2
- Fix the absolute coords patch and apply it (#184993)

* Sun Dec 10 2006 Kristian Høgsberg <krh@redhat.com> 1:1.0.0.5
- Disable absolute coords patch for now (#184993)

* Fri Dec  1 2006 Kristian Høgsberg <krh@redhat.com> - 1:1.0.0.5-1
- Roll back to 1.0.0.5.
- Add absolute-coords-2758.patch from bugs.freedesktop.org (#184993).

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.1.2-2.1
- rebuild

* Tue Jun 13 2006 Adam Jackson <ajackson@redhat.com> 1.1.2-2
- Build on ppc64

* Mon Jun 05 2006 Adam Jackson <ajackson@redhat.com> 1.1.2-1
- Update to 1.1.2 + CVS fixes.

* Mon Apr 10 2006 Adam Jackson <ajackson@redhat.com> 1.1.0-3
- Work around header pollution on ia64, re-add to arch list.

* Mon Apr 10 2006 Adam Jackson <ajackson@redhat.com> 1.1.0-2
- Disable on ia64 until build issues are sorted.

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 1.1.0-1
- Update to 1.1.0 from 7.1RC1.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0.5-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.0.5-1
- Updated xorg-x11-drv-evdev to version 1.0.0.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.4-1
- Updated xorg-x11-drv-evdev to version 1.0.0.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.2-1
- Updated xorg-x11-drv-evdev to version 1.0.0.2 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.1-1
- Updated xorg-x11-drv-evdev to version 1.0.0.1 from X11R7 RC1
- Fix *.la file removal.

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for evdev input driver generated automatically
  by my xorg-driverspecgen script.
